Installing redmine

Added by v d almost 10 years ago

Hi All,

I'm trying to install redmine 1.1.1 on my shared cpanel hosting account.

ruby 1.8.7 (2009-06-12 patchlevel 174) [x86_64-linux]
Rails 2.3.8

I am up to the step:
RAILS_ENV=production rake db:migrate

I get this error :

"rake aborted!
undefined local variable or method `version_requirements' for #<Rails::GemDependency:0x2b897654c3a8>"

--trace

  • Invoke db:migrate (first_time)
  • Invoke environment (first_time)
  • Execute environment
    rake aborted!
    undefined local variable or method `version_requirements' for #<Rails::GemDependency:0x2b0a53f85a10>
    /home/ACCOUNT_DIR/rails_apps/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:119:in `requirement'
    /usr/lib/ruby/site_ruby/1.8/rubygems.rb:254:in `activate'
    /usr/lib/ruby/site_ruby/1.8/rubygems.rb:1204:in `gem'
    /home/ACCOUNT_DIR/rails_apps/redmine/config/../vendor/rails/railties/lib/rails/gem_dependency.rb:73:in `add_load_paths'
    /home/ACCOUNT_DIR/rails_apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:301:in `add_gem_load_paths'
    /home/ACCOUNT_DIR/rails_apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:301:in `each'
    /home/ACCOUNT_DIR/rails_apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:301:in `add_gem_load_paths'
    /home/ACCOUNT_DIR/rails_apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:132:in `process'
    /home/ACCOUNT_DIR/rails_apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `send'
    /home/ACCOUNT_DIR/rails_apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `run'
    /home/ACCOUNT_DIR/rails_apps/redmine/config/environment.rb:20
    /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `gem_original_require'
    /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `require'
    /home/ACCOUNT_DIR/rails_apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'
    /home/ACCOUNT_DIR/rails_apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_in'
    /home/ACCOUNT_DIR/rails_apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'
    /home/ACCOUNT_DIR/rails_apps/redmine/vendor/rails/railties/lib/tasks/misc.rake:4
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'
    /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:607:in `invoke_prerequisites'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `each'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `invoke_prerequisites'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in `invoke_with_call_chain'
    /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
    /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
    /usr/bin/rake:19:in `load'
    /usr/bin/rake:19

Replies (9)

RE: Installing redmine - Added by Etienne Massip almost 10 years ago

You're running rubygems 1.5.x which is not supported by Redmine yet, you should downgrade rubygems. Felix suggested previously to do so by executing e.g. gem update --system 1.4.2.

RE: Installing redmine - Added by v d almost 10 years ago

gem update --system 1.4.2Updating rubygems-update
Successfully installed rubygems-update-1.4.2
Installing RubyGems 1.4.2
ERROR: While executing gem ... (Errno::EACCES)
Permission denied - /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb

RE: Installing redmine - Added by v d almost 10 years ago

Hi,

Thanks for the reply.

Tried that but I still get the error "Permission denied - /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb"

RE: Installing redmine - Added by Etienne Massip almost 10 years ago

The message I was referring to is Artem's, did you do what he was talking about and finally ran the setup.rb ?

RE: Installing redmine - Added by v d almost 10 years ago

Yes I did "setup.rb" and I still get the error error "Permission denied - /usr/lib/ruby/site_ruby/1.8/rubygems/specification.rb"

RE: Installing redmine - Added by Etienne Massip almost 10 years ago

I'm not a linux setup specialist, you should ask Felix :|

I find odd to have some /vendor/rails/.. inside your home dir.

There may be some additional arguments that need to be specified after ruby setup.rb like --prefix or --installdirs.

RE: Installing redmine - Added by Sharavdorj Ts almost 10 years ago

Hi all

I'm installing Redmine 1.1.1 on CentOS x86_64

ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]
gem 1.4.1
Rails 3.0.5

I can't try step
rake db:migrate

get error:

rake --trace db:migrate
(in /var/www/redmine)
  • Invoke db:migrate (first_time)
  • Invoke environment (first_time)
  • Execute environment
    rake aborted!
    /var/www/redmine/config/environment.rb:64: syntax error, unexpected kEND, expecting $end
    /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `gem_original_require'
    /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:29:in `require'
    /var/www/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'
    /var/www/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_in'
    /var/www/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'
    /var/www/redmine/vendor/rails/railties/lib/tasks/misc.rake:4
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `call'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:636:in `execute'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `each'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:631:in `execute'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:597:in `invoke_with_call_chain'
    /usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:607:in `invoke_prerequisites'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `each'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:604:in `invoke_prerequisites'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:596:in `invoke_with_call_chain'
    /usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:590:in `invoke_with_call_chain'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:583:in `invoke'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2051:in `invoke_task'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `each'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2029:in `top_level'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2023:in `top_level'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2001:in `run'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:2068:in `standard_exception_handling'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake.rb:1998:in `run'
    /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.7/bin/rake:31
    /usr/local/bin/rake:19:in `load'
    /usr/local/bin/rake:19

RE: Installing redmine - Added by Etienne Massip almost 10 years ago

Redmine 1.1.1 does not support Rails 3.

Use 2.3.5 instead, see requirements

(1-9/9)